---
updatedAt: 2025-06-09T22:43:11.000Z
agentTools:
  projectIndex: https://docs.zenloop.com/llms.txt
---

# Errors

## 400 Bad Request - Invalid request

```json Example
{
  "error": {
    "status": 400,
    "code": "INVALID_REQUEST",
    "links": {
      "documentation": "https://docs.zenloop.com/#authentication"
    },
    "title": "Invalid request body.",
    "details": [
      {
        "detail": "Required property email was not present.",
        "pointer": "/user"
      },
      {
        "detail": "Required property password was not present.",
        "pointer": "/user"
      }
    ]
  }
}
```

| Attribute                     |  Type  | Description                    |
| :---------------------------- | :----: | :----------------------------- |
| **error**                     | object | Error object.                  |
| error.**status**              | number | Status code.                   |
| error.**code**                | string | Error code.                    |
| error.**links**               | object | Links object.                  |
| error.links.**documentation** | string | URL link to documentation.     |
| error.**title**               | string | Error title.                   |
| error.**details**             |  array | List with error details.       |
| error.details.**pointer**     | string | Pointer to specific attribute. |
| error.details.**detail**      | string | Error message for pointer.     |

## 400 Bad Request - Validation errors

```json Example
{
  "error": {
    "status": 400,
    "code": "VALIDATION_ERRORS",
    "title": "Validation errors occurred.",
    "details": [
      {
        "detail": "has invalid format",
        "field": "email"
      }
    ]
  }
}
```

| Attribute                |  Type  | Description                |
| :----------------------- | :----: | :------------------------- |
| **error**                | object | Error object.              |
| error.**status**         | number | Status code.               |
| error.**code**           | string | Error code.                |
| error.**title**          | string | Error title.               |
| error.**details**        |  array | List with error details.   |
| error.details.**field**  | string | Field name.                |
| error.details.**detail** | string | Error message for pointer. |

## 401 Unauthorized

```json Example
{
  "error": {
    "status": 401,
    "code": "UNAUTHORIZED",
    "title": "Invalid or expired token.",
  }
}
```

| Attribute        |  Type  | Description   |
| :--------------- | :----: | :------------ |
| **error**        | object | Error object. |
| error.**status** | number | Status code.  |
| error.**code**   | string | Error code.   |
| error.**title**  | string | Error title.  |

## 403 Forbidden

```json Example
{
  "error": {
    "status": 403,
    "code": "FORBIDDEN",
    "title": "Access denied."
  }
}
```

| Attribute        |  Type  | Description   |
| :--------------- | :----: | :------------ |
| **error**        | object | Error object. |
| error.**status** | number | Status code.  |
| error.**code**   | string | Error code.   |
| error.**title**  | string | Error title.  |

## 404 Not Found

```json Example
{
  "error": {
    "status": 404,
    "code": "NOT_FOUND",
    "title": "Survey not found.",
  }
}
```

| Attribute        |  Type  | Description   |
| :--------------- | :----: | :------------ |
| **error**        | object | Error object. |
| error.**status** | number | Status code.  |
| error.**code**   | string | Error code.   |
| error.**title**  | string | Error title.  |

## 409 Conflict

```json Example
{
  "error": {
    "status": 409,
    "code": "ALREADY_EXISTS",
    "title": "Recipient already exists.",
  }
}
```

| Attribute        |  Type  | Description   |
| :--------------- | :----: | :------------ |
| **error**        | object | Error object. |
| error.**status** | number | Status code.  |
| error.**code**   | string | Error code.   |
| error.**title**  | string | Error title.  |

## 429 Too Many Requests

```json Example
{
  "error": {
    "status": 429,
    "code": "TOO_MANY_REQUESTS",
    "title": "Rate limit exceeded.",
  }
}
```

| Attribute        |  Type  | Description   |
| :--------------- | :----: | :------------ |
| **error**        | object | Error object. |
| error.**status** | number | Status code.  |
| error.**code**   | string | Error code.   |
| error.**title**  | string | Error title.  |